# bson_realloc_func

## Synopsis

    typedef void *(*bson_realloc_func) (void *mem, size_t num_bytes, void *ctx);

## Parameters

- `mem`: A memory region.

- `num_bytes`: A size_t containing the requested size.

- `ctx`: A consumer-specific pointer or `NULL`.

## Description

This is a prototype for pluggable realloc functions used through the Libbson library. If you wish to use a custom allocator this is one way to do it. Additionally, bson_realloc_ctx() is a default implementation of this prototype.